<?php 
	error_reporting(E_ALL);
	ini_set('display_errors', 1);
	if(isset($eltoken))
		$token = $eltoken;
	if (isset($_GET['c'])){
		$clave = $_GET['c'];	
		$token = $_GET['t'];	
	}


		require('../conexion.php');
		require('fe_consultasbd.php');
		$token = $resultadoToken['access_token'];
		$idFactura = $_GET['f'];
		
		
		
		if ($mensajes['urlConsultarEstadoMensaje']== "") {   // si el url consultar estado no se obtiene lo construimos 
		

	 $uri         =	$parametros['uriRecepcion'];
	 $clave       =	$mensajes['cdgclavecomp'];
     $comprobante =	$mensajes['numcompmen'];
	 $cdgclavemen =	$mensajes['cdgclavemen'];
		
    echo $urlmensaje=$uri.$clave."-".$comprobante;
		
	  $updatemensaje = "UPDATE mensaje_receptor SET urlConsultarEstadoMensaje = '$urlmensaje' WHERE cdgclavemen=$cdgclavemen";	
	  $mysqli->query($updatemensaje);
		
		
		}else{     // si existe el url consulta estado existe lo mantemos 
		

	echo $urlmensaje= $mensajes['urlConsultarEstadoMensaje'];
			 
		}
	 




	$curl = curl_init();

	curl_setopt_array($curl, array(
	  CURLOPT_URL => $mensajes['urlConsultarEstadoMensaje'],
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => "",
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 30,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => "GET",
	  CURLOPT_HTTPHEADER => array(
		"Authorization: Bearer ". $token,
		"Cache-Control: no-cache",
		"Content-Type: application/x-www-form-urlencoded",
		"Postman-Token: bf8dc171-5bb7-fa54-7416-56c5cda9bf5c"
	  ),
	));

	curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);

	$response = curl_exec($curl);
	$err = curl_error($curl);

	curl_close($curl);
	$codigo = $mensajes['estadoComprobanteIntegracion'];
	$mensajeDetalle = $mensajes['mensajeHacienda'];
	
	if ($err) {
	  $mensajeDetalle = $err;
	} else {
			
			$responseT = json_decode($response);		
			$array = get_object_vars($responseT);
			
			if(isset($_GET['debug']))
				print_r($array);
			
			if(isset($array['respuesta-xml'])){
				$mensaje = base64_decode($array['respuesta-xml']);
				file_put_contents("crt/mensajes/mns-".$responseT->clave.".xml", $mensaje);
				$xml = new SimpleXMLElement($mensaje);				
				$mensajeDetalle = str_replace("'", '', $xml->DetalleMensaje); ;
				$mensajeDetalle = utf8_decode($mensajeDetalle);
				$mensajeDetalle = str_replace("'",'',$mensajeDetalle);
				if($xml->Mensaje != 1)
					$mensajeDetalle = str_replace('Este comprobante fue aceptado en el ambiente de pruebas, por lo cual no tiene validez para fines tributarios','',$mensajeDetalle);
				$codigo = $xml->Mensaje;
				
			}else{
				$mensajeDetalle = 'No hay respuesta de la DGT, verifique el token<br>';
			}			
		}
		
	$consultaDatosfacturas = "UPDATE mensaje_receptor
	SET 
		estadoComprobanteIntegracion = $codigo,
		mensajeHacienda = '$mensajeDetalle'
		WHERE codmen=$idFactura";
						
	$mysqli->query($consultaDatosfacturas);
	if(isset($_GET['debug'])){
		 $consultaDatosfacturas.'<br>';
	
	}

	

?>